# Generated by go2rpm 1.11.0
%bcond_without check

# https://github.com/docker/cli
%global goipath         github.com/docker/cli
Version:                26.1.4

%gometa -L -f

%global common_description %{expand:
The Docker CLI.}

Name:           docker-cli
Release:        %autorelease
Summary:        The Docker CLI

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND MIT
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

Patch:          0001-scripts-adjust-generate-man-for-Fedora-build-env.patch

BuildRequires:  /usr/bin/go-md2man
BuildRequires:  git-core %dnl Needed for tests
BuildRequires:  go-vendor-tools
BuildRequires:  make

Requires:       moby-filesystem

# Recommend main moby-engine package with the docker daemon
# We don't use a strict dependency, as it's possible to use the docker CLI with
# a different host.
Recommends:     moby-engine
# docker buildx is the new supported way to run builds; docker build is deprecated.
Recommends:     docker-buildx

# Conflict with older moby-engine versions
Conflicts:      moby-engine < %{version}

# Conflict with upstream packages
Conflicts:      docker-ce
Conflicts:      docker-ce-cli
Conflicts:      docker-ee
Conflicts:      docker-ee-cli
# Conflict with podman-docker that also contains /usr/bin/docker
Conflicts:      podman-docker

# Obsolete old separate shell completions packages
Obsoletes:      moby-engine-fish-completion < 24.0.5-5
Obsoletes:      moby-engine-zsh-completion < 24.0.5-5

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
GO_LDFLAGS="" GO_BUILDTAGS=""
%make_build dynbinary \
    DISABLE_WARN_OUTSIDE_CONTAINER=1 \
    GITCOMMIT=%{release} \
    GO_BUILDTAGS="rpm_crashback" \
    GO_LDFLAGS=%{gobuild_ldflags_shescaped} \
    VERSION=%{version} \
dynbinary manpages

%install
# Install docker-cli
install -Dpm 0755 build/docker -t %{buildroot}%{_bindir}
# Install shell completions
install -Dpm 644 contrib/completion/bash/docker -t %{buildroot}%{bash_completions_dir}
install -Dpm 644 contrib/completion/zsh/_docker -t %{buildroot}%{zsh_completions_dir}
install -Dpm 644 contrib/completion/fish/docker.fish -t %{buildroot}%{fish_completions_dir}
# Install manpages
install -Dpm 644 man/man1/*.1 -t %{buildroot}%{_mandir}/man1/
install -Dpm 644 man/man5/*.5 -t %{buildroot}%{_mandir}/man5/
install -Dpm 644 man/man8/*.8 -t %{buildroot}%{_mandir}/man8/

# Install licenses
%go_vendor_license_install -c %{S:2}

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
# Manually skip specific tests
for test in \
    "TestInitializeFromClientHangs" \
    %dnl Needs network
    "TestRunBuildFromGitHubSpecialCase" \
    %dnl Test is flaky
    "TestConnectAndWait"
do
    awk -i inplace '/^func.*'"${test}"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' \
        $(grep -rl "${test}")
done

# e2e tests are disabled by default in the Makefile
export TZ=utc
%gocheck -t e2e
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc AUTHORS CONTRIBUTING.md README.md TESTING.md
%{_bindir}/docker
%{_mandir}/man1/docker*.1*
%{_mandir}/man5/{Dockerfile,docker-config-json}.5*
%{_mandir}/man8/dockerd.8*
%{bash_completions_dir}/docker
%{fish_completions_dir}/docker.fish
%{zsh_completions_dir}/_docker


%changelog
%autochangelog
